Package net.snowflake.client.core.auth.oauth

## Class OAuthAccessTokenProviderFactory

- java.lang.Object
- - net.snowflake.client.core.auth.oauth.OAuthAccessTokenProviderFactory

    @SnowflakeJdbcInternalApi
    public class OAuthAccessTokenProviderFactory
    extends Object

### Constructor Summary

Constructors
`OAuthAccessTokenProviderFactory​(SessionUtilExternalBrowser.AuthExternalBrowserHandlers browserHandler, long browserAuthorizationTimeoutSeconds)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AccessTokenProvider` `createAccessTokenProvider​(AuthenticatorType authenticatorType, SFLoginInput loginInput)`
`static boolean` `isEligible​(AuthenticatorType authenticatorType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OAuthAccessTokenProviderFactory

    public OAuthAccessTokenProviderFactory​(SessionUtilExternalBrowser.AuthExternalBrowserHandlers browserHandler,
                                           long browserAuthorizationTimeoutSeconds)

### Method Detail

#### createAccessTokenProvider

    public AccessTokenProvider createAccessTokenProvider​(AuthenticatorType authenticatorType,
                                                         SFLoginInput loginInput)
                                                  throws SFException

Throws:
  `SFException`

#### isEligible

    public static boolean isEligible​(AuthenticatorType authenticatorType)